#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lxqt-notificationd
Version		:	1.3.0
Release		:	14.4.0.0%{?dist}
Summary		:	Notification daemon for LXQt desktop suite
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://lxqt.org/


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	liblxqt
#-----------------------------------------------------------------------------
%description
`%{name}` is LXQt's implementation of a daemon according to
the [Desktop Notifications Specification]
(https://developer.gnome.org/notification-spec/).

This specification defines a way to display notifications in
pop-up windows on desktops. Notifications like this are e. g.
frequently used by chat or mail clients to inform about incoming
messages, by media players to indicate the beginning of another
track but also by the desktop environment itself to indicate
volume changes or similar.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

sed -i								\
  -e "/#include <QPushButton>/a#include <QStyleOption>"		\
  src/notification.cpp  

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-DPULL_TRANSLATIONS=no					\
	-Wno-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

%doc AUTHORS README.md
%{_sysconfdir}/xdg/autostart/lxqt-notifications.desktop
%{_bindir}/%{name}
%{_bindir}/lxqt-config-notificationd
%{_datadir}/applications/lxqt-config-notificationd.desktop
%{_datadir}/lxqt/translations/%{name}/%{name}_*.qm
%{_datadir}/lxqt/translations/lxqt-config-notificationd/lxqt-config-notificationd_*.qm


#-----------------------------------------------------------------------------
%changelog
